Skip to main content
POST
/
upscale
Upscale
curl --request POST \
  --url https://dream-gateway.livepeer.cloud/upscale \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'prompt=<string>' \
  --form image='@example-file' \
  --form model_id= \
  --form safety_check=true \
  --form seed=123 \
  --form num_inference_steps=75
{
  "images": [
    {
      "url": "<string>",
      "seed": 123,
      "nsfw": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://na-36-docs-v2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

The default Gateway used in this guide is the public Livepeer.cloud Gateway. It is free to use but not intended for production-ready applications. For production-ready applications, consider using the Livepeer Studio Gateway, which requires an API token. Alternatively, you can set up your own Gateway node or partner with one via the ai-video channel on Discord.
Please note that the exact parameters, default values, and responses may vary between models. For more information on model-specific parameters, please refer to the respective model documentation available in the upscaling pipeline. Not all parameters might be available for a given model.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
prompt
string
required

Text prompt(s) to guide upscaled image generation.

image
file
required

Uploaded image to modify with the pipeline.

model_id
string
default:""

Hugging Face model ID used for upscaled image generation.

safety_check
boolean
default:true

Perform a safety check to estimate if generated images could be offensive or harmful.

seed
integer

Seed for random number generation.

num_inference_steps
integer
default:75

Number of denoising steps. More steps usually lead to higher quality images but slower inference. Modulated by strength.

Response

Successful Response

Response model for image generation.

images
Media · object[]
required

The generated images.

Last modified on March 18, 2026